> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all product reviews

> List of reviews for a specified product. The reviews are returned sorted by submission date, with the most recent reviews appearing first. You can filter the reviews by rating, reviewer, or date for more detailed analysis.



## OpenAPI

````yaml get /catalog/marketplace/products/{product_id}/reviews
openapi: 3.1.0
info:
  version: '1.0'
  title: CE Storefront APIs
  summary: Customer-facing e-commerce API for building exceptional shopping experiences
  description: >-
    Public-facing API for Commerce Engine storefronts, enabling seamless
    shopping experiences with product browsing, cart management, checkout
    processing, user accounts, and order tracking. Perfect for building web,
    mobile, and headless commerce applications.
  contact:
    name: Support
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
  license:
    url: https://www.commercengine.io/contact-us
    name: All Rights Reserved
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security: []
tags:
  - name: Analytics
    description: Analytics
  - name: Auth
    description: auth
  - name: Campaigns
    description: Campaigns
  - name: Carts
    description: Carts
  - name: Catalog
    description: Catalog
  - name: Common
    description: Common
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Juspay
    description: Juspay Payments
  - name: KYC
    description: KYC
  - name: Marketplace
    description: Marketplace
  - name: Orders
    description: Orders
  - name: Others
    description: Others
  - name: Payments
    description: Payments
  - name: PayU
    description: PayU Payments
  - name: POS
    description: POS
  - name: Shipping
    description: Shipping
  - name: Store
    description: Store
  - name: Subscriptions
    description: Subscriptions
externalDocs:
  url: https://llm-docs.commercengine.io
  description: Commerce Engine API Reference Documentation
paths:
  /catalog/marketplace/products/{product_id}/reviews:
    get:
      tags:
        - Marketplace
      summary: List all product reviews
      description: >-
        List of reviews for a specified product. The reviews are returned sorted
        by submission date, with the most recent reviews appearing first. You
        can filter the reviews by rating, reviewer, or date for more detailed
        analysis.
      operationId: list-marketplace-product-reviews
      parameters:
        - $ref: '#/components/parameters/pageParam'
        - $ref: '#/components/parameters/pageLimitParam'
        - $ref: '#/components/parameters/sortingParam'
        - $ref: '#/components/parameters/searchKeyword'
        - name: product_id
          in: path
          description: id of a particular product
          required: true
          schema:
            type: string
        - name: review_tag
          in: query
          description: filter review with review tag
          schema:
            type: string
      responses:
        '200':
          description: Success response
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - success
                  - content
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      reviews:
                        type: array
                        items:
                          $ref: '#/components/schemas/ProductReview'
                      review_tags:
                        type:
                          - array
                          - 'null'
                        items:
                          type: string
                      pagination:
                        $ref: '#/components/schemas/Pagination'
                    required:
                      - reviews
                    type: object
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - Authorization: []
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/operations/list-marketplace-product-reviews
        description: API reference for the list-marketplace-product-reviews operation
components:
  parameters:
    pageParam:
      name: page
      in: query
      description: page number of pagination list
      required: false
      schema:
        type: number
        minimum: 1
    pageLimitParam:
      name: limit
      in: query
      description: Number of results per page.
      required: false
      schema:
        type: integer
        maximum: 100
        minimum: 1
    sortingParam:
      name: sort_by
      in: query
      description: 'JSON string format: {"field1":"asc", "field2":"desc"}'
      required: false
      schema:
        description: >-
          json string in format {'field_name':'asc', 'other_field_name':'desc',
          ...}
        type: string
        examples:
          - '{"country":"asc","city":"asc","population":"desc"}'
    searchKeyword:
      name: search
      in: query
      description: search keyword
      required: false
      schema:
        type: string
  schemas:
    ProductReview:
      title: ProductReview
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/ProductReview
        description: API reference for the ProductReview schema
      properties:
        rating:
          description: >-
            The rating of the product review. Must be in rang 1-5 (multiple of
            0.5)
          type: number
          format: double
          maximum: 5
          minimum: 1
          multipleOf: 0.5
          readOnly: true
        review_text:
          description: The text for the product review.
          type: string
          readOnly: true
        name:
          description: The name of the reviewer.
          type: string
          readOnly: true
        email:
          description: >-
            The email of the reviewer. Must be a valid email, or an empty
            string.
          type: string
          format: email
          examples:
            - mr@bees.com
          readOnly: true
        status:
          description: Reviews with approved status will be displayed.
          type: string
          enum:
            - approved
          readOnly: true
        is_featured:
          type: boolean
          default: false
        tags:
          type: array
          items:
            type: string
        review_date:
          description: >-
            The ISO 8601 date-time for when review was first submitted or last
            modified by the original submitter.
          type: string
          format: date-time
          readOnly: true
        images:
          description: Product review images ordered by display priority.
          type: array
          items:
            $ref: '#/components/schemas/ProductImage'
        videos:
          type: array
          items:
            $ref: '#/components/schemas/ProductVideo'
        created_at:
          description: The ISO 8601 date-time for when review is created.
          type: string
          format: date-time
          examples:
            - '2023-05-25T14:15:22Z'
          readOnly: true
        modified_at:
          description: The ISO 8601 date-time for when review was last modified.
          type: string
          format: date-time
          examples:
            - '2023-05-25T14:15:22Z'
          readOnly: true
      examples: []
    Pagination:
      description: pagination metadata structure
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/Pagination
        description: API reference for the Pagination schema
      required:
        - total_records
        - total_pages
        - limit
        - next_page
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        previous_page:
          type:
            - integer
            - 'null'
        limit:
          type: integer
        next_page:
          type:
            - integer
            - 'null'
      examples:
        - total_records: 100
          total_pages: 4
          previous_page: null
          next_page: 2
          limit: 25
    ProductImage:
      title: ProductImage
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/ProductImage
        description: API reference for the ProductImage schema
      required:
        - id
        - title
        - alternate_text
        - sort_order
        - url_tiny
        - url_thumbnail
        - url_standard
        - url_zoom
      properties:
        id:
          type: string
        title:
          type:
            - string
            - 'null'
        alternate_text:
          type:
            - string
            - 'null'
        sort_order:
          type: integer
        url_tiny:
          type: string
        url_thumbnail:
          type: string
        url_standard:
          type: string
        url_zoom:
          type: string
      examples: []
    ProductVideo:
      title: ProductVideo
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/ProductVideo
        description: API reference for the ProductVideo schema
      required:
        - title
        - alternate_text
        - sort_order
        - video_preview_url
        - video_stream_hls_url
        - video_stream_dash_url
        - image_thumbnail_url
        - video_duration
      properties:
        title:
          type:
            - string
            - 'null'
        alternate_text:
          type:
            - string
            - 'null'
        sort_order:
          type: integer
        video_preview_url:
          type: string
        video_stream_hls_url:
          type: string
        video_stream_dash_url:
          type: string
        image_thumbnail_url:
          type: string
        video_duration:
          description: in seconds
          type: integer
      examples: []
  responses:
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                examples:
                  - Not authorized for given operation on the Resource.
                x-speakeasy-error-message: true
              success:
                type: boolean
                default: false
              code:
                type: string
                examples:
                  - unauthorized
    NotFound:
      description: Requested resource not found
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                x-speakeasy-error-message: true
              success:
                type: boolean
              code:
                type: string
  securitySchemes:
    Authorization:
      type: http
      description: Access token
      scheme: bearer

````